#pragma once

typedef enum {
	k_PIECE_FIGHTER,
	k_PIECE_KNIGHT,
	k_PIECE_PROPELLER,
	k_PIECE_PICK,
	k_PIECE_CAR,
	k_PIECE_KILLNER
} pieceType;

class CPiece
{
public:
	CPiece(int r, int c);
	~CPiece(void);
	void setRow(int r) { m_row = r; };
	void setCol(int c) { m_col = c; };
	int getRow() { return m_row; };
	int getCol() { return m_col; };

	pieceType getType() { return m_type; };
	void chooseType();
	void draw();
protected:
	int m_row;
	int m_col;
	GLfloat m_size;
	pieceType m_type; 
};
